"use strict";
const common_vendor = require("../../../common/vendor.js");
const sheep_index = require("../../index.js");
const sheep_hooks_useModal = require("../../hooks/useModal.js");
const sheep_hooks_useGoods = require("../../hooks/useGoods.js");
require("../../api/index.js");
require("../../api/distri/score.js");
require("../../request/index.js");
require("../../config/index.js");
require("../../store/index.js");
require("../../store/app.js");
require("../../api/promotion/diy.js");
require("../../platform/index.js");
require("../../platform/provider/wechat/index.js");
require("../../platform/provider/wechat/miniProgram.js");
require("../../api/member/auth.js");
require("../../api/member/social.js");
require("../../api/member/user.js");
require("../../platform/provider/apple/index.js");
require("../../platform/share.js");
require("../../router/index.js");
require("../../helper/throttle.js");
require("../../url/index.js");
require("../../platform/pay.js");
require("../../helper/index.js");
require("../../helper/test.js");
require("../../helper/digit.js");
require("../../api/pay/order.js");
require("../../store/user.js");
require("../../store/cart.js");
require("../../api/trade/cart.js");
require("../../api/pay/wallet.js");
require("../../api/trade/order.js");
require("../../api/promotion/coupon.js");
require("../../store/sys.js");
require("../../store/modal.js");
require("../../api/distri/share.js");
require("../../api/distri/team.js");
require("../../api/infra/file.js");
require("../../api/member/address.js");
require("../../api/member/point.js");
require("../../api/member/signin.js");
require("../../api/migration/app.js");
require("../../api/migration/chat.js");
require("../../api/migration/index.js");
require("../../api/migration/third.js");
require("../../api/pay/channel.js");
require("../../api/product/category.js");
require("../../api/product/comment.js");
require("../../api/product/favorite.js");
require("../../api/product/history.js");
require("../../api/product/spu.js");
require("../../api/promotion/activity.js");
require("../../api/promotion/article.js");
require("../../api/promotion/bargain.js");
require("../../api/promotion/combination.js");
require("../../api/promotion/rewardActivity.js");
require("../../api/promotion/seckill.js");
require("../../api/system/area.js");
require("../../api/system/voice.js");
require("../../api/trade/afterSale.js");
require("../../api/trade/brokerage.js");
require("../../api/trade/config.js");
require("../../api/trade/delivery.js");
require("../../config/zIndex.js");
require("../../util/index.js");
if (!Array) {
  const _easycom_su_popup2 = common_vendor.resolveComponent("su-popup");
  _easycom_su_popup2();
}
const _easycom_su_popup = () => "../../ui/su-popup/su-popup.js";
if (!Math) {
  _easycom_su_popup();
}
const _sfc_main = {
  __name: "s-wallet-modal",
  setup(__props) {
    common_vendor.useCssVars((_ctx) => ({
      "463127a0": common_vendor.unref(headerBg)
    }));
    const headerBg = sheep_index.sheep.$url.css("/static/images/sign.png");
    const show = common_vendor.computed(() => sheep_index.sheep.$store("modal").getWallet);
    const state = common_vendor.computed(() => sheep_index.sheep.$store("modal").getWalletInfo);
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: state.value.points && common_vendor.unref(sheep_hooks_useGoods.points2point)(state.value.points) > 0 || state.value.socialStatus
      }, state.value.points && common_vendor.unref(sheep_hooks_useGoods.points2point)(state.value.points) > 0 || state.value.socialStatus ? common_vendor.e({
        b: state.value.points && common_vendor.unref(sheep_hooks_useGoods.points2point)(state.value.points) > 0
      }, state.value.points && common_vendor.unref(sheep_hooks_useGoods.points2point)(state.value.points) > 0 ? {
        c: common_vendor.t(common_vendor.unref(sheep_hooks_useGoods.points2point)(state.value.points))
      } : {}, {
        d: state.value.socialStatus
      }, state.value.socialStatus ? {
        e: common_vendor.t(state.value.socialStatus)
      } : {}) : {}, {
        f: common_vendor.o(($event) => {
          common_vendor.unref(sheep_hooks_useModal.colseWalletModal)();
        }),
        g: common_vendor.o(common_vendor.unref(sheep_hooks_useModal.colseWalletModal)),
        h: common_vendor.s(_ctx.__cssVars()),
        i: common_vendor.p({
          show: show.value,
          type: "center",
          round: "10"
        })
      });
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-bd9b951b"], ["__file", "D:/zx/mall-front-app/sheep/components/s-wallet-modal/s-wallet-modal.vue"]]);
wx.createComponent(Component);
